## escapework/manager-news

Módulo para gerenciamento de noticias

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
    "require": {
        "escapework/manager-news": "1.0.*"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\News\Providers\ManagerServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando para executar as configurações necessárias.

```sh
$ php artisan manager:configure
```

### Manager

Depois disso, você já poderá acessar o cadastro de notícias pela URL http://seusite/manager/noticias.

### Hidden fields

É possível esconder (via configurações) os seguintes campos:

* Subtítulo (não exibido por padrão)
* Fonte (não exibido por padrão)
* Destaque (exibido por padrão)

### Mídias

As notícias possuem fotos, e para isso o módulo `escapework/manager-medias` é uma dependência obrigatória. Depois de instalar este pacote, é necessário criar um seed para as mídias das notícias:

```php
class MediaSeeder extends Seeds
{

    public function run()
    {
        $data = array(
            'model'       => 'EscapeWork\Manager\News\Models\News',
            'model_title' => 'title',
            'model_route' => 'manager.noticias.index',
            'page_title'  => 'Notícias',
            'sizes'       => [
                [
                    'prefix' => 'vga-',
                    'width'  => 640,
                    'height' => 480,
                    'resize' => 1,
                ],
            ]
        );

        MediaModel::seed($data, $sizes);
    }
}
```

### RSS

O controler `EscapeWork\Manager\News\Controllers\NewsController` possui o método `rss` responsavel pelos feed de notícias. Para adicionar o feed ao seu site, apenas direciona sua rota para este método.
