<?php namespace EscapeWork\Manager\News\Models;

use EscapeWork\LaravelHelpers\BaseModel;

class NewsCategory extends BaseModel
{

    /**
     * Tabela
     */
    protected $table = 'news_categories';

    /**
     * Regras de validação
     */
    public $validationRules = array(
        'category' => array('required'),
    );

    /**
     * Mensagens de validação
     */
    public $validationMessages = array(
        'category.required' => 'A categoria é obrigatória',
    );

    /**
    * Fillable fields
    */
    protected $fillable = array(
        'category',
        'created_at',
        'updated_at'
    );

    /**
     * Recebendo o title attribute (category)
     */
    public function getTitleAttribute()
    {
        return $this->category;
    }
}
