<?php
/*
|--------------------------------------------------------------------------
| Rotas do pacote manager-news
|--------------------------------------------------------------------------
*/
Route::group(array('prefix' => Config::get('manager::url'), 'before' => 'manager.auth'), function()
{
    Route::get('noticias', array('as' => 'manager.news.index', 'uses' => Config::get('manager-news::controllers.news.index')));
    Route::get('noticias/create', array('as' => 'manager.news.create', 'uses' => Config::get('manager-news::controllers.news.create')));
    Route::post('noticias', array('as' => 'manager.news.store', 'uses' => Config::get('manager-news::controllers.news.store')));
    Route::get('noticias/{id}/edit', array('as' => 'manager.news.edit', 'uses' => Config::get('manager-news::controllers.news.edit')));
    Route::put('noticias/{id}', array('as' => 'manager.news.update', 'uses' => Config::get('manager-news::controllers.news.update')));
    Route::put('noticias/{id}/active', array('as' => 'manager.news.updateActive', 'uses' => Config::get('manager-news::controllers.news.updateActive')));
    Route::put('noticias/{id}/featured', array('as' => 'manager.news.updateFeatured', 'uses' => Config::get('manager-news::controllers.news.updateFeatured')));
    Route::put('noticias/{id}/order', array('as' => 'manager.news.updateOrder', 'uses' => Config::get('manager-news::controllers.news.updateOrder')));
    Route::delete('noticias/{id}', array('as' => 'manager.news.destroy', 'uses' => Config::get('manager-news::controllers.news.destroy')));

    # categorias
    Route::get('noticias/categorias', array('as' => 'manager.news.categories.index', 'uses' => Config::get('manager-news::controllers.news_categories.index')));
    Route::get('noticias/categorias/create', array('as' => 'manager.news.categories.create', 'uses' => Config::get('manager-news::controllers.news_categories.create')));
    Route::post('noticias/categorias', array('as' => 'manager.news.categories.store', 'uses' => Config::get('manager-news::controllers.news_categories.store')));
    Route::get('noticias/categorias/{id}/edit', array('as' => 'manager.news.categories.edit', 'uses' => Config::get('manager-news::controllers.news_categories.edit')));
    Route::put('noticias/categorias/{id}', array('as' => 'manager.news.categories.update', 'uses' => Config::get('manager-news::controllers.news_categories.update')));
    Route::delete('noticias/categorias/{id}', array('as' => 'manager.news.categories.destroy', 'uses' => Config::get('manager-news::controllers.news_categories.destroy')));
});

